<!DOCTYPE html>
<html>
<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Courses Details</title>
  
  <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">

  <link rel="stylesheet" href="https://cdn.datatables.net/1.12.1/css/jquery.dataTables.min.css">
  <script src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
  
  <!-- Các file css và js tự định nghĩa thêm -->
  <link rel="stylesheet" href="style.css">
  <script src="scriptCourseDetail.js"></script>
</head>

<body>
    <div class="container-fluid">
        <h2 class="text-center">DANH SÁCH COURSES</h2>
        <button id="btn-add-course" class="btn btn-success"><i class="fas fa-plus"></i> Add course</button>
        <table id="table-courses" class="table table-striped table-hover table-bordered table-info text-center">
            <thead>
                <tr>
                    <th>STT</th>
                    <th>Course Code</th>
                    <th>Course Name</th>
                    <th>Price</th>
                    <th>Discount Price</th>
                    <th>Duration</th>
                    <th>Level</th>
                    <th>Teacher Name</th>
                    <th>Is Popular</th>
                    <th>Is Trending</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>

            </tbody>
        </table>
    </div>

    <!-- Modal -->
    <div id="modal-add-course" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Add Course</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Course Code:</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" id="inp-add-course-code" placeholder="Course Code" class="form-control"/>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Course Name:</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" id="inp-add-course-name" placeholder="Course Name" class="form-control"/>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Price:</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="number" id="inp-add-price" placeholder="Price" class="form-control"/>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Discount Price:</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="number" id="inp-add-discount-price" placeholder="Discount Price" class="form-control"/>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Duration:</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" id="inp-add-duration" placeholder="Duration" class="form-control"/>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Level:</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" id="inp-add-level" placeholder="Level" class="form-control"/>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Cover Image:</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" id="inp-add-cover-image" placeholder="Cover Image" class="form-control"/>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Teacher Name:</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" id="inp-add-teacher-name" placeholder="Teacher Name" class="form-control"/>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Teacher Photo:</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" id="inp-add-teacher-photo" placeholder="Teacher Photo" class="form-control"/>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Is Popular:</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="radio" id="inp-add-popular-true" name="popular" value="true">
                            <label for="inp-add-popular-true">True</label>
                            <input type="radio" id="inp-add-popular-false" name="popular" value="false">
                            <label for="inp-add-popular-false">False</label>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Is Trending:</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="radio" id="inp-add-trending-true" name="trending" value="true">
                            <label for="inp-add-trending-true">True</label>
                            <input type="radio" id="inp-add-trending-false" name="trending" value="false">
                            <label for="inp-add-trending-false">False</label>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button id="btn-modal-add-course" type="button" class="btn btn-success">Add Course</button>
                    <button type="button" id="btn-modal-cancel" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                </div>
            </div>
        </div>
    </div>

    <div id="modal-edit-course" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Add Course</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Course Code:</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" id="inp-edit-course-code" placeholder="Course Code" class="form-control"/>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Course Name:</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" id="inp-edit-course-name" placeholder="Course Name" class="form-control"/>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Price:</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="number" id="inp-edit-price" placeholder="Price" class="form-control"/>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Discount Price:</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="number" id="inp-edit-discount-price" placeholder="Discount Price" class="form-control"/>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Duration:</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" id="inp-edit-duration" placeholder="Duration" class="form-control"/>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Level:</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" id="inp-edit-level" placeholder="Level" class="form-control"/>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Cover Image:</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" id="inp-edit-cover-image" placeholder="Cover Image" class="form-control"/>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Teacher Name:</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" id="inp-edit-teacher-name" placeholder="Teacher Name" class="form-control"/>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Teacher Photo:</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" id="inp-edit-teacher-photo" placeholder="Teacher Photo" class="form-control"/>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Is Popular:</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="radio" id="inp-edit-popular-true" name="popular" value="true">
                            <label for="inp-edit-popular-true">True</label>
                            <input type="radio" id="inp-edit-popular-false" name="popular" value="false">
                            <label for="inp-edit-popular-false">False</label>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Is Trending:</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="radio" id="inp-edit-trending-true" name="trending" value="true">
                            <label for="inp-edit-trending-true">True</label>
                            <input type="radio" id="inp-edit-trending-false" name="trending" value="false">
                            <label for="inp-edit-trending-false">False</label>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button id="btn-modal-edit-course" type="button" class="btn btn-primary">Edit Course</button>
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                </div>
            </div>
        </div>
    </div>

    <div id="modal-confirm-delete" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title">Confirm Delete</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <p>Bạn có chắc chắn xóa Course này?</p>
            </div>
            <div class="modal-footer">
              <button id="btn-modal-delete-course" type="button" class="btn btn-danger">Confirm</button>
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            </div>
          </div>
        </div>
      </div>
</body>

</html>